GET /v2/api/stocktriggers/{ID}

Get a single sku_warehouse_setting by ID.

Path parameters

  • ID integer Required

    SkuWarehouseSetting ID

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • allowMaxAuto boolean
    • allowMinAuto boolean
    • id integer
    • key string
    • lastRestockDate string
    • lowerLimit integer
    • max integer
    • min integer
    • minMaxSource string
    • minMaxUpdatedAt string
    • preventRestock boolean
    • season string
    • sku string
    • skuID integer
    • startDate string
    • upperLimit integer
    • warehouseExternalId string
    • warehouseID string
  • default application/json

    All errors will return the same object with a describing code & message

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
GET /v2/api/stocktriggers/{ID}
curl \
 --request GET 'https://api.maddenanalytics.com/v2/api/stocktriggers/{ID}'
Response examples (200)
{
  "allowMaxAuto": true,
  "allowMinAuto": true,
  "id": 42,
  "key": "string",
  "lastRestockDate": "string",
  "lowerLimit": 42,
  "max": 42,
  "min": 42,
  "minMaxSource": "string",
  "minMaxUpdatedAt": "string",
  "preventRestock": true,
  "season": "string",
  "sku": "string",
  "skuID": 42,
  "startDate": "string",
  "upperLimit": 42,
  "warehouseExternalId": "string",
  "warehouseID": "string"
}
Response examples (default)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}